#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.7.1
visibility:           public
id:                   servant-swagger-1.1.7.1-6uBKqc8k4nBAzH1xX6FulY
key:                  servant-swagger-1.1.7.1-6uBKqc8k4nBAzH1xX6FulY
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  95d85d3d3a3f7e06d9f5d9c0b8d4b076
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-8.8.1/site-local/servant-swagger-1.1.7.1
library-dirs:         /usr/lib/ghc-8.8.1/site-local/servant-swagger-1.1.7.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/servant-swagger-1.1.7.1
hs-libraries:         HSservant-swagger-1.1.7.1-6uBKqc8k4nBAzH1xX6FulY
depends:
    QuickCheck-2.13.2-F1caelbelL24B6NyiafVp6
    aeson-1.4.6.0-14aMj661H7U58XQ3xLLXvh
    aeson-pretty-0.8.8-IVcBJqeA9D79JftZqHovmP base-4.13.0.0
    base-compat-0.11.1-4oueEGUxmwHC6tuHqQ6hE2 bytestring-0.10.9.0
    hspec-2.7.1-IlNLDNyYDLb8aDvU7swB1l
    http-media-0.8.0.0-4jXfuSFtU05HxP40VDQyZU
    insert-ordered-containers-0.2.3-9nX63YSnVCWLKT7mf94cjz
    lens-4.18.1-22gq8jbnrZV5WN2RqAfVLe
    servant-0.16.2-13uxlexSfhLAfFUIK5RO54
    singleton-bool-0.1.5-A1BUoKOE7i9KQGHsFA81g
    swagger2-2.4-BftoeyqyVkBvBJshBMjp1 text-1.2.4.0
    unordered-containers-0.2.10.0-9ICZg3HcXJIzoexd54oj9

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

